<template>
<div class="relative">
    <button @click="isOpen = !isOpen" class="relative z-10 block h-8 w-8 rounded-full overflow-hidden border-2 border-slate-600 focus:outline-none focus:border-white">
        <img src="/images/avatar.jpeg" alt="Your avatar" class="h-full object-cover">
    </button>
    <button v-if="isOpen" @click="isOpen = false" tabindex="-1" class="fixed inset-0 h-full w-full bg-gray-900 opacity-50"></button>
    <div v-if="isOpen" class="absolute right-0 w-48 mt-2 bg-white rounded-lg py-2 shadow-xl">
        <a href="#" class="block px-4 py-2 text-slate-800 hover:bg-slate-600 hover:text-white">Account settings</a>
        <a href="#" class="block px-4 py-2 text-slate-800 hover:bg-slate-600 hover:text-white">Support</a>
        <a href="#" class="block px-4 py-2 text-slate-800 hover:bg-slate-600 hover:text-white">Sign out</a>
    </div>
</div>
</template>

<script>

export default {
  data() {
    return {
      isOpen: false
    }
  },
  created() {
    const handleEscape = (e) => {
      if (e.key === 'Esc' || e.key === 'Escape' ) {
        this.isOpen = false;
      } 
    }

    document.addEventListener('keydown', handleEscape)
  }
}
</script>